Package org.eclipse.net4j.util.ui

# Class DefaultActionFilter<RECEIVER>

java.lang.Object
org.eclipse.net4j.util.ui.DefaultActionFilter<RECEIVER>

All Implemented Interfaces:
  `IActionFilter`

public class DefaultActionFilter<RECEIVER> extends Object implements IActionFilter

Since:
  3.4
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`DefaultActionFilter(IPropertyProvider<RECEIVER> provider)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`testAttribute(Object target, String name, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultActionFilter

public DefaultActionFilter(IPropertyProvider<RECEIVER> provider)

## Method Details

### testAttribute

public boolean testAttribute(Object target, String name, String value)

Specified by:
  `testAttribute` in interface `IActionFilter`